import Vue from 'vue'
import App from './App.vue'
import locale from 'element-ui/lib/locale/lang/zh-CN' // lang i18n
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
Vue.config.productionTip = false
import FrameworkChart from 'framework-chart'
import FrameworkBaseForm from 'framework-base-form'
import request from './utils/request'
window.custemRequest = request
import commonApi from './api/common/CommonApi.js'
window.commonApi=commonApi
Vue.prototype.$commonApi=commonApi
Vue.use(ElementUI, { locale })
Vue.use(FrameworkBaseForm)
Vue.use(FrameworkChart)



new Vue({
  el: '#app',
  render: h => h(App)
})
